Get zipcode information
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/zipcodes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/zipcodes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/zipcodes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"zipcode": "13306582",
"street": "Rua Ana Rosa de Jesus dos Santos",
"neighborhood": "Jardim Villas do Golf",
"city": "Itu",
"state": "SP"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}System
Get zipcode information
Retrieves address information for a given zipcode using external service
GET
/
v1
/
zipcodes
/
{id}
Get zipcode information
Authorizations
JWT token for user authentication
Path Parameters
The zipcode to lookup (5-9 digits)
Pattern:
^[0-9]{5,9}$⌘I

